[uClinux-dev] Compiling uClinux 2.4.31-uc0 with arm-linux-gcc 3.4.4

Shaun Jackman sjackman at gmail.com
Fri Oct 14 16:43:27 EDT 2005


2005/10/14, Shaun Jackman <sjackman at gmail.com>:
> No worries. In the mean time, I'll try uClinux 2.4.31-uc0
> armnommu/mach-atmel from cvs.uclinux.org.

I started compiling uClinux 2.4.31-uc0 with arm-linux-gcc 3.4.4 from
Debian's toolchain-source package, and the kernel appeared to compile
correctly, but when linking arm-linux-ld gives the error:
arm-linux-ld: ERROR:
/usr/lib/gcc/arm-linux/3.4.4/libgcc.a(_udivsi3.oS) uses hardware FP,
whereas linux uses software FP

This is the same toolchain I used to successfully compile Linux
2.6.11.8-hsc0. Any suggestions?

Thanks,
Shaun



More information about the uClinux-dev mailing list